 
        program nombre_jours
c       calcule le nombre de jours depuis le 0/1/1901
        real*8 jour,mois,annee,heure,minutes,nj,j,h8,n
        type*,'CALCUL DU NOMBRE DE JOURS DEPUIS LE 0/1/1901 0h tu (31/12/1900)'
        type*,'ENTREZ LA DATE (JJ MM AAAA):'
        read*,jour,mois,annee
        type*,'HEURE TU (HH MM) :'
        read*,heure,minutes
        h8=(heure+minutes/60)/24
        j=jour+h8
        n=annee*365+31*(mois-1)+j
        if (mois.gt.2) go to 160
        annee=annee-1
160     n=n+int(annee/4)-int(annee/100)+int(annee/400)
        if (mois.le.2) go to 190
        n=n-int((mois-1)*0.4+2.7)
190     nj=n-694325
        type*,'nombre de jours depuis le 0/1/1901 0h tu ',nj
        end
 
